Subject: Re: Feature that allows the user to merge only specific files/folders from another branch

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Feb 2026 13:56:07 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Tue, Feb 24, 2026, at 14:44, Sugiarto, Titania wrote:
>> Hi,
>>
>> I have a suggestion for Git, which includes a feature that allows the
>> user to merge (I want to highlight merge here, not replace) specific
>> files/folders from another branch.
>> I feel like a lot of users have spoken about this online but up until
>> now, there hasn't been an update regarding such feature.
>>
>> Might be worthwhile to consider?
>
> Why?

Because many people talked about it?

Yes, I know that an idea is not necessarily a good one only because
many talk about it ;-)